%global momorel 2
%define __libtoolize :

Summary: widgets for developing instant messaging clients
Name: empathy
Version: 2.26.2
Release: %{momorel}m%{?dist}
License: GPL
Group: User Interface/Desktops
URL: http://www.gnome.org/
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/2.26/%{name}-%{version}.tar.bz2
NoSource: 0

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:    python
BuildPrereq: intltool
BuildPrereq: pkgconfig
BuildPrereq: glib2-devel >= 2.20.0
BuildPrereq: libxml2-devel >= 2.7.3
BuildPrereq: telepathy-farsight
BuildPrereq: telepathy-glib-devel >= 0.7.26
BuildPrereq: telepathy-mission-control-devel >= 4.67
BuildPrereq: GConf2-devel >= 2.26.0
BuildPrereq: gtk2-devel >= 2.16.0
BuildPrereq: libX11-devel
BuildPrereq: libglade2-devel >= 2.6.4
BuildPrereq: enchant-devel >= 1.4.2
BuildPrereq: iso-codes
BuildPrereq: gnome-panel-devel >= 2.26.0
BuildPrereq: check-devel >= 0.9.5
BuildPrereq: pygtk2-devel >= 2.14.1
BuildPrereq: evolution-data-server-devel >= 2.26.0
Requires: rarian
Requires: GConf2

%description
Empathy is a re-usable collection of Graphical User Interface widgets
for developing instant messaging clients for the GNOME desktop. It is
written as extension to the Telepathy framework, for connecting to
different instant messaging networks with a unified user interface.

%package devel
Summary: %{name}-devel
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig
Requires: glib2-devel
Requires: gtk2-devel
Requires: libglade2-devel
Requires: telepathy-mission-control-devel
Requires: libxml2-devel

%description devel
%{name}-devel


%prep
%setup -q

%build
%configure --disable-static \
    --enable-gtk-doc \
    --disable-scrollkeeper \
    --disable-schemas-install \
    --enable-spell=yes \
    --enable-megaphone=yes \
    --enable-nothere=yes \
    --enable-python=yes
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install
%find_lang %{name}

%clean
rm -rf --preserve-root %{buildroot}

%post
touch %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
    gtk-update-icon-cache --quiet /usr/share/icons/hicolor
fi

export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
    %{_sysconfdir}/gconf/schemas/GNOME_Megaphone_Applet.schemas \
    %{_sysconfdir}/gconf/schemas/empathy.schemas \
    > /dev/null || :

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
	%{_sysconfdir}/gconf/schemas/GNOME_Megaphone_Applet.schemas \
	%{_sysconfdir}/gconf/schemas/empathy.schemas \
	> /dev/null || :
fi

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
	%{_sysconfdir}/gconf/schemas/GNOME_Megaphone_Applet.schemas \
	%{_sysconfdir}/gconf/schemas/empathy.schemas \
	> /dev/null || :
fi

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_sysconfdir}/gconf/schemas/GNOME_Megaphone_Applet.schemas
%{_sysconfdir}/gconf/schemas/empathy.schemas
%{_bindir}/*
%{_libdir}/*.so.*
%exclude %{_libdir}/*.la
%{_libdir}/python2.6/site-packages/*
%{_libdir}/bonobo/servers/*
%{_libexecdir}/*
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/gnome/help/%{name}
%{_datadir}/omf/%{name}
%dir %{_datadir}/mission-control
%dir %{_datadir}/mission-control/profiles
%{_datadir}/mission-control/profiles/*
%{_mandir}/man1/%{name}.1.*

%files devel
%{_includedir}/libempathy
%{_includedir}/libempathy-gtk
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%doc %{_datadir}/gtk-doc/html/libempathy
%doc %{_datadir}/gtk-doc/html/libempathy-gtk

%changelog
* Sun Jul  5 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.26.2-2m)
- move pc file to devel

* Fri May 22 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.26.2-1m)
- update to 2.26.2

* Wed Apr 15 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.26.1-1m)
- update to 2.26.1

* Tue Mar 31 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.26.0.1-1m)
- update to 2.26.0.1

* Tue Mar 17 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.25.92-2m)
- rebuild against glib2 >= 2.19.8
-- remove -fno-strict-aliasing workaround for gcc44

* Fri Mar  6 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.25.92-1m)
- update to 2.25.92

* Sun Feb 22 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.25.91-1m)
- update to 2.25.91

* Sat Feb 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.25.90-2m)
- add BuildPrereq: telepathy-farsight

* Sun Feb  8 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.25.90-1m)
- update to 2.25.90

* Wed Feb  4 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.24.1-4m)
- build with -fno-strict-aliasing when gcc44

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.24.1-3m)
- rebuild against rpm-4.6

* Wed Dec 31 2008 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (2.24.1-2m)
- rebuild against python-2.6.1-1m

* Tue Oct 21 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.24.1-1m)
- update to 2.24.1

* Tue Sep 30 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.24.0-2m)
- welcome evolution-data-server

* Tue Sep 30 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.24.0-1m)
- initial build
- good-bye evolution
